diff options
Diffstat (limited to 'git-sh-setup.sh')
-rwxr-xr-x | git-sh-setup.sh | 11 |
1 files changed, 11 insertions, 0 deletions
diff --git a/git-sh-setup.sh b/git-sh-setup.sh index 57f7f77776..6b1c1423eb 100755 --- a/git-sh-setup.sh +++ b/git-sh-setup.sh @@ -36,6 +36,17 @@ is_bare_repository () { esac } +cd_to_toplevel () { + cdup=$(git-rev-parse --show-cdup) + if test ! -z "$cdup" + then + cd "$cdup" || { + echo >&2 "Cannot chdir to $cdup, the toplevel of the working tree" + exit 1 + } + fi +} + require_work_tree () { test $(is_bare_repository) = false || die "fatal: $0 cannot be used without a working tree." |